#include <cstdlib>
#include <cstdio>
#include <set>
#include <utility>

using namespace std;

char m[2001][2001];
int n;

char has_point(int x, int y) {
  if (x<-1000 || x>1000 || y<-1000 || y>1000)
	return 0;
  return m[x+1000][y+1000];
}


int main(){
  set< pair<int, int> > myset;
  int res = 0;
  scanf("%d",&n);
  int x[n];
  int y[n];
  for (int i=0;i<n;++i){
    scanf("%d %d",x+i,y+i);
    m[x[i]+1000][y[i]+1000]=1;
  }
  int vx,vy;
  for (int a=1;a<n;++a){
    vx = x[0] - x[a];
    vy = y[0] - y[a];
    if ((myset.find(make_pair(vx, vy)) != myset.end() || myset.find(make_pair(-vx, -vy)) != myset.end()))
      continue;

    myset.insert(make_pair(vx, vy));
    bool ok=true;
    for (int b=0;b<n;++b){
      if (!has_point(x[b]+vx, y[b]+vy) && !has_point(x[b]-vx, y[b]-vy)){
        ok=false;
	break;
      }
    }
    if (ok)
      res++;
   // printf("ok[%d] = %d\n",a,ok);
  }
  printf("%d\n", res*2);
  return 0;
}
